---
apiVersion: v1
kind: Service
metadata:
  annotations:
    app.quarkus.io/vcs-ref: main
    app.quarkus.io/vcs-url: https://gitlab.com/gaia-x/data-infrastructure-federation-services/not/notarization-service
    app.quarkus.io/commit-id: e16b498cd433a2c852b9e80917e8539791186fee
    app.quarkus.io/build-timestamp: 2022-07-14 - 09:02:51 +0000
    prometheus.io/scrape: "true"
    prometheus.io/path: /q/metrics
    prometheus.io/port: "8087"
    prometheus.io/scheme: http
  labels:
    app.kubernetes.io/name: scheduler
    app.kubernetes.io/part-of: notarization-system
    app.kubernetes.io/version: java17-latest
  name: scheduler
spec:
  ports:
    - name: http
      port: 80
      targetPort: 8087
  selector:
    app.kubernetes.io/name: scheduler
    app.kubernetes.io/part-of: notarization-system
    app.kubernetes.io/version: java17-latest
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    app.quarkus.io/vcs-ref: main
    app.quarkus.io/vcs-url: https://gitlab.com/gaia-x/data-infrastructure-federation-services/not/notarization-service
    app.quarkus.io/commit-id: e16b498cd433a2c852b9e80917e8539791186fee
    app.quarkus.io/build-timestamp: 2022-07-14 - 09:02:51 +0000
    prometheus.io/scrape: "true"
    prometheus.io/path: /q/metrics
    prometheus.io/port: "8087"
    prometheus.io/scheme: http
  labels:
    app.kubernetes.io/part-of: notarization-system
    app.kubernetes.io/version: java17-latest
    app.kubernetes.io/name: scheduler
  name: scheduler
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/part-of: notarization-system
      app.kubernetes.io/version: java17-latest
      app.kubernetes.io/name: scheduler
  template:
    metadata:
      annotations:
        app.quarkus.io/vcs-ref: main
        app.quarkus.io/vcs-url: https://gitlab.com/gaia-x/data-infrastructure-federation-services/not/notarization-service
        app.quarkus.io/commit-id: e16b498cd433a2c852b9e80917e8539791186fee
        app.quarkus.io/build-timestamp: 2022-07-14 - 09:02:51 +0000
        prometheus.io/scrape: "true"
        prometheus.io/path: /q/metrics
        prometheus.io/port: "8087"
        prometheus.io/scheme: http
      labels:
        app.kubernetes.io/part-of: notarization-system
        app.kubernetes.io/version: java17-latest
        app.kubernetes.io/name: scheduler
    spec:
      containers:
        - env:
            - name: KUBERNETES_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
          image: registry.gitlab.com/gaia-x/data-infrastructure-federation-services/not/notarization-service/scheduler:java17-latest
          imagePullPolicy: Always
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/live
              port: 8087
              scheme: HTTP
            initialDelaySeconds: 0
            periodSeconds: 30
            successThreshold: 1
            timeoutSeconds: 10
          name: scheduler
          ports:
            - containerPort: 8087
              name: http
              protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/ready
              port: 8087
              scheme: HTTP
            initialDelaySeconds: 20
            periodSeconds: 45
            successThreshold: 1
            timeoutSeconds: 10
          resources:
            limits:
              memory: 512Mi
            requests:
              memory: 256Mi
